<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl leading-tight dark:text-white">
            {{ __('messages.Users') }}
        </h2>
    </x-slot>
    <div class="py-2">
        @can('manage users')
        <div class="items-end flex justify-end">
            <a href="{{route('users.create')}}" class="text-white bg-gradient-to-r from-cyan-500 to-blue-500 hover:bg-gradient-to-bl focus:ring-4 focus:outline-none focus:ring-cyan-300 dark:focus:ring-cyan-800 font-medium rounded-lg text-sm px-5 py-2.5 text-center mr-2 mb-2">
                {{ __('messages.New User') }}
            </a>
        </div>
        @endcan

        <div class="bg-white text-gray-800 dark:bg-gray-800 dark:text-white overflow-hidden shadow-xl sm:rounded-lg p-4">
            {{--ili ovaa custom tabela so export na excel, pdf--}}
            {{-- @livewire('users.user-table', ['users'=>$users]) --}}
            @livewire('users.user-table')

            {{--ili ovaa so paket, za nea ne treba view componenta na livewire--}}
            {{--        <livewire:tables.user-datatables--}}
            {{--            searchable="username, email, user_data.first_name, user_data.last_name"--}}
            {{--            exportable--}}
            {{--        />--}}
        </div>
    </div>
</x-app-layout>
