<?php
namespace App\Logging;
use Monolog\Logger;

class CreateMySQLLogger
{
//    /**
//     * Create a custom Monolog instance.
//     *
//     * @param  array $config
//     * @return Logger
//     * @throws Exception
//     */
//    public function __invoke(array $config)
//    {
//        $channel = $config['name'] ?? env('APP_ENV');
//        $monolog = new Logger($channel);
//        $monolog->pushHandler(new MysqlHandler());
//        return $monolog;
//    }

    /**
     * Create a custom Monolog instance.
     *
     *
     * @param  array  $config
     * @return \Monolog\Logger
     */
    public function __invoke(array $config){
        $logger = new Logger("MySQLLoggingHandler");
        return $logger->pushHandler(new MySQLLoggingHandler());
    }
}
