<div class="overflow-y-auto bg-white dark:bg-gray-800">
    <div class="flex flex-wrap justify-around gap-4 p-4">
        <a href="{{ route('tasks.index', ['param' => true]) }}" class="flex sm:inline-flex justify-center items-center">
          <div class="items-center bg-green-500 text-white p-4 rounded-lg w-64">
            <h3 class="text-xl font-bold mb-2">{{ __('task.completed') }}</h3>
            <p class="text-6xl font-xl mb-2">{{ $completed }}</p>
          </div>
        </a>

        <a href="{{ route('tasks.index', ['param' => false]) }}" class="flex sm:inline-flex justify-center items-center">
          <div class="bg-red-500 text-white p-4 rounded-lg w-64">
            <h3 class="text-xl font-bold mb-2"> {{ __('task.uncompleted') }} </h3>
            <p class="text-6xl font-xl mb-2">{{ $uncompleted }}</p>
          </div>
        </a>

        <a href="{{ route('tasks.index', ['param' => 'all']) }}" class="flex sm:inline-flex justify-center items-center">
          <div class="bg-blue-500 text-white p-4 rounded-lg w-64">
            <h3 class="text-xl font-bold mb-2">{{ __('task.all') }}</h3>
            <p class="text-6xl font-xl mb-2">{{ $all }}</p>
          </div>
        </a>
    </div>
</div>
