<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="color-scheme" content="light">
    <meta name="supported-color-schemes" content="light">
    <style>
        @media only screen and (max-width: 600px) {
            .inner-body {
                width: 100% !important;
            }

            .footer {
                width: 100% !important;
            }
        }

        @media only screen and (max-width: 500px) {
            .button {
                width: 100% !important;
            }
        }

    </style>
</head>

<body
    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; -webkit-text-size-adjust: none; background-color: #ffffff; color: #718096; height: 100%; line-height: 1.4; margin: 0; padding: 0; width: 100% !important;">

    <table class="wrapper" width="100%" cellpadding="0" cellspacing="0" role="presentation"
        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; -premailer-cellpadding: 0; -premailer-cellspacing: 0; -premailer-width: 100%; background-color: #edf2f7; margin: 0; padding: 0; width: 100%;">
        <tbody>
            <tr>
                <td align="center"
                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                    <table class="content" width="100%" cellpadding="0" cellspacing="0" role="presentation"
                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; -premailer-cellpadding: 0; -premailer-cellspacing: 0; -premailer-width: 100%; margin: 0; padding: 0; width: 100%;">
                        <tbody>
                            <tr>
                                <td class="header"
                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; padding: 25px 0; text-align: center;">
                                    <a target="_blank" rel="noopener noreferrer" href="https://mnavigation.m-nav.info/"
                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; color: #3d4852; font-size: 19px; font-weight: bold; text-decoration: none; background-color: #044583; display: inline-block;">
                                        <img src="<?php echo e(asset("images/mnav_logo.png")); ?>" class="logo" alt="M-NAV Logo"
                                            style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; max-width: 100%; border: none; height: 75px; max-height: 75px; width: 172px;">
                                    </a>
                                </td>
                            </tr>

                            <!-- Email Body -->
                            <tr>
                                <td class="body" width="100%" cellpadding="0" cellspacing="0"
                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; -premailer-cellpadding: 0; -premailer-cellspacing: 0; -premailer-width: 100%; background-color: #edf2f7; border-bottom: 1px solid #edf2f7; border-top: 1px solid #edf2f7; margin: 0; padding: 0; width: 100%;">
                                    <table class="inner-body" align="center" width="570" cellpadding="0" cellspacing="0"
                                        role="presentation"
                                        style="text-align: left; border-radius: 30px; padding: 60px 40px 60px 40px; background: #fefefe; background-image:linear-gradient(#fefefe,#fefefe);"
                                        <!-- Body content -->
                                        <tbody>
                                            <tr>
                                                <td class="content-cell"
                                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; max-width: 100vw;">
                                                    <h1
                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; color: #3d4852; font-size: 18px; font-weight: bold; margin-top: 0; text-align: left; background-color: #ffffff; color: #044583;">
                                                        <?php echo e(Lang::get("messages.Send reset password link",[],$default_lang)); ?>!
                                                    </h1>
                                                    <p
                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; font-size: 16px; line-height: 1.5em; margin-top: 0; text-align: left;">
                                                        <?php echo e(Lang::get("messages.This link is sent to your email for password change, to help you login to M-NAV application",[],$default_lang)); ?>.

                                                    </p>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td
                                                    style="border-collapse:collapse; text-align: left; padding: 0">
                                                    <div class=""
                                                        style="text-align: left; padding: 0;background: #fefefe; background-image:linear-gradient(#fefefe,#fefefe);">
                                                        <center>
                                                            <p style="margin:0;" class="d-block">
                                                                <a target="_blank" rel="noopener noreferrer"
                                                                    href="https://mnavigation.m-nav.info/"
                                                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; color: #3869d4; display: inline-block;">
                                                                    <img src="<?php echo e(asset("images/mnav.jpg")); ?>"
                                                                        alt="M-NAV"
                                                                        class="header" width="505"
                                                                        height="284"
                                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; max-width: 100%; border: none; padding: 10px 0; text-align: center;"
                                                                    >
                                                                </a>
                                                            </p>
                                                        </center>
                                                    </div>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <table class="action" align="center" width="100%" cellpadding="0"
                                                        cellspacing="0" role="presentation"
                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; -premailer-cellpadding: 0; -premailer-cellspacing: 0; -premailer-width: 100%; margin: 30px auto; padding: 0; text-align: center; width: 100%;">
                                                        <tbody>
                                                            <tr>
                                                                <td align="center"
                                                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                                                                    <table width="100%" border="0" cellpadding="0"
                                                                        cellspacing="0" role="presentation"
                                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                                                                        <tbody>
                                                                            <tr>
                                                                                <td align="center"
                                                                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                                                                                    <table border="0" cellpadding="0"
                                                                                        cellspacing="0"
                                                                                        role="presentation"
                                                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                                                                                        <tbody>
                                                                                            <tr>
                                                                                                <td
                                                                                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                                                                                                    <div
                                                                                                        class="hide-gmail-block">
                                                                                                        <div class="padding-mobile-fix"
                                                                                                            style="text-align: left; border-radius: 0 0 10px 10px; padding: 10px;background: #fefefe; background-image:linear-gradient(#fefefe,#fefefe);">
                                                                                                            <center>
                                                                                                                <p
                                                                                                                    style="font-family: 'Arial'; font-style: normal; font-weight: 700; font-size: 16px;  line-height: 20px; color: #636363; margin: 0 0 12px 0;">
                                                                                                                    <?php echo e(Lang::get("messages.To change your password and login to your application click the button bellow.",[],$default_lang)); ?>

                                                                                                                </p>
                                                                                                                <p
                                                                                                                    style="margin: 0;">
                                                                                                                    <a href="<?php echo e($url); ?>"
                                                                                                                        target="_blank"
                                                                                                                        style="display: inline-block; min-height: 50px; width:flex; text-align:center; color: #FFFFFF; background-color: #044583; border-radius: 60px; padding: 13px 15px; text-decoration: none; font-weight: 700; font-size: 20px; font-family: 'Gotham', 'Arial'; line-height: 24px; box-sizing: border-box; ">
                                                                                                                        <?php echo e(Lang::get("messages.Change password",[],$default_lang)); ?>

                                                                                                                    </a>
                                                                                                                </p>
                                                                                                            </center>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </td>
                                                                                            </tr>
                                                                                        </tbody>
                                                                                    </table>
                                                                                </td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <p
                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; font-size: 16px; line-height: 1.5em; margin-top: 0; text-align: left;">
                                                        <?php echo e(Lang::get("messages.Link for changing your password will expire in 60 minutes.",[],$default_lang)); ?>

                                                        <h4><?php echo e(Lang::get("messages.You do not know why you get this link?",[],$default_lang)); ?></h4>
                                                        <?php echo e(Lang::get("messages.To protect your account don't show this message and don't give this link to anyone",[],$default_lang)); ?><br>
                                                    </p>
                                                    <p
                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; font-size: 16px; line-height: 1.5em; margin-top: 0; text-align: left;">
                                                        <h4><?php echo e(Lang::get("messages.M-NAV Team",[],$default_lang)); ?></h4>
                                                    </p>
                                                    <table class="subcopy" width="100%" cellpadding="0" cellspacing="0"
                                                        role="presentation"
                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; border-top: 1px solid #e8e5ef; margin-top: 25px; padding-top: 25px;">
                                                        <tbody>
                                                            <tr>
                                                                <td
                                                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                                                                    <p
                                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; line-height: 1.5em; margin-top: 0; text-align: left; font-size: 14px;">
                                                                        <?php echo e(Lang::get("messages.If you have issues with clicking on the button",[],$default_lang)); ?>

                                                                        <?php echo e(Lang::get('messages."Reset password" copy the link bellow and paste it to your browser',[],$default_lang)); ?>

                                                                        <br>
                                                                        <span class="break-all"
                                                                            style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; word-break: break-all;">
                                                                            <a target="_blank" rel="noopener noreferrer"
                                                                                href="<?php echo e($url); ?>"
                                                                                style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; color: #3869d4;">
                                                                                <?php echo e($url); ?>

                                                                            </a>
                                                                        </span>
                                                                    </p>

                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>

                            <tr>
                                <td
                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative;">
                                    <table class="footer" align="center" width="570" cellpadding="0" cellspacing="0"
                                        role="presentation"
                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; -premailer-cellpadding: 0; -premailer-cellspacing: 0; -premailer-width: 570px; margin: 0 auto; padding: 0; text-align: center; width: 570px;">
                                        <tbody>
                                            <tr>
                                                <td class="content-cell" align="center"
                                                    style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; max-width: 100vw; padding: 32px;">
                                                    <p
                                                        style="box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, &#39;Segoe UI&#39;, Roboto, Helvetica, Arial, sans-serif, &#39;Apple Color Emoji&#39;, &#39;Segoe UI Emoji&#39;, &#39;Segoe UI Symbol&#39;; position: relative; line-height: 1.5em; margin-top: 0; color: #b0adc5; font-size: 12px; text-align: center;">
                                                        © <?php echo e(now()->year); ?> M-NAV. All rights reserved.
                                                    </p>

                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>

</body>

</html>
<?php /**PATH /home/ucodersnet/public_html/mnav/resources/views/emails/reset_password.blade.php ENDPATH**/ ?>